For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet payables
      • POSTCreate a payable
      • GETGet payables analytics
      • POSTUpload a payable from a file
      • GETGet payables validations
      • PUTUpdate payables validations
      • POSTReset payables validations
      • GETGet the available variables for payable email templates
      • GETGet a payable by ID
      • DELDelete a payable
      • PATCHUpdate a payable
      • POSTApprove a payable for payment
      • POSTAttach a file to a payable
      • POSTCancel a payable
      • GETReturns the history of the specified accounts payable document.
      • POSTMark a payable as paid
      • POSTMark a payable as partially paid
      • POSTReject a payable
      • POSTReopen a rejected or waiting_to_be_paid payable
      • POSTSubmit a payable for approval
      • GETGet suggestions
      • DELDelete suggestions
      • POSTValidate a payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePayables

Get the available variables for payable email templates

GET
/payables/variables
GET
/v1/payables/variables
$curl https://api.sandbox.monite.com/v1/payables/variables \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "object_subtype": "payables_purchase_order",
5 "object_type": "account",
6 "variables": [
7 {
8 "description": "description",
9 "name": "name"
10 }
11 ]
12 }
13 ]
14}
Get a list of placeholders allowed to insert into an email template for customization
Was this page helpful?
Previous

Get a payable by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects

Errors

404
Get Payables Variables Request Not Found Error
422
Get Payables Variables Request Unprocessable Entity Error
500
Get Payables Variables Request Internal Server Error